;GIL-3
; @(#)first.G	1.2 92/02/19 Copyright 1992 Sun Microsystems
(
(
	:type                   :menu
	:name                   ButtonMenu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             "ButtonMenu"
	:menu-item-labels       ("Item1" "Item2" "Item3" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (t nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (FirstChoice SecondChoice ThirdChoice )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("Blue" "Coral" "Blue Violet" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (ButtonMenu "Item1")
		:when                   (Notify )
		:to                     (ButtonMenu "Item1")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (FirstChoice)
		)
		(
		:from                   (ButtonMenu "Item2")
		:when                   (Notify )
		:to                     (ButtonMenu "Item2")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (SecondChoice)
		)
		(
		:from                   (ButtonMenu "Item3")
		:when                   (Notify )
		:to                     (ButtonMenu "Item3")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ThirdChoice)
		)
	)
)
(
	:type                   :base-window
	:name                   window1
	:owner                  nil
	:width                  756
	:height                 398
	:background-color       ""
	:foreground-color       ""
	:label                  "First Interface"
	:label-type             :string
	:initial-state          :open
	:show-footer            t
	:resizable              t
	:icon-file              ""
	:icon-label             ""
	:icon-mask-file         ""
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :canvas-pane
	:name                   canvas1
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      0
	:width                  756
	:height                 236
	:background-color       "Cornflower Blue"
	:foreground-color       "Black"
	:initial-state          :visible
	:draggable              nil
	:droppable              nil
	:default-drop-site      nil
	:menu                   nil
	:horizontal-scrollbar   t
	:scrollable-width       756
	:vertical-scrollbar     t
	:scrollable-height      236
	:repaint-proc           nil
	:event-handler          nil
	:drawing-model          :xview
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls1
	:owner                  window1
	:help                   ""
	:x                      0
	:y                      236
	:width                  756
	:height                 162
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   ShowPopUp
	:owner                  controls1
	:help                   ""
	:x                      320
	:y                      24
	:width                  99
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       "Blue"
	:label                  "Show Pop Up"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 ShowPopUp)
		:when                   (Notify )
		:to                     (popup1)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Show)
		)
	)
)
(
	:type                   :setting
	:name                   setting1
	:owner                  controls1
	:help                   "This is a setting choose only one of them."
	:x                      279
	:y                      64
	:width                  207
	:height                 40
	:value-x                279
	:value-y                81
	:rows                   1
	:columns                0
	:layout-type            :vertical
	:foreground-color       "Black"
	:setting-type           :exclusive
	:selection-required     t
	:label                  "Choose one of the following:"
	:label-type             :string
	:notify-handler         SettingChoices
	:event-handler          nil
	:choices                ("First" "Second" "Third" "Fourth" )
	:choice-label-types     (:string :string :string :string )
	:choice-colors          ("Aquamarine" "Blue Violet" "Cadet Blue" "Brown" )
	:initial-selections     (t nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (window1 setting1)
		:when                   (Notify )
		:to                     (window1 setting1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (SettingChoices)
		)
		(
		:from                   (window1 setting1 "Fourth")
		:when                   (Notify )
		:to                     (window1 setting1 "Fourth")
		:function_type          :user_defined
		:arg_type               ()
		:action                 (ChoiceFour)
		)
		(
		:from                   (window1 setting1 "Second")
		:when                   (Notify )
		:to                     (window1 setting1 "Second")
		:function_type          :user_defined
		:arg_type               ()
		:action                 (ChoiceTwo)
		)
		(
		:from                   (window1 setting1 "Third")
		:when                   (Notify )
		:to                     (window1 setting1 "Third")
		:function_type          :user_defined
		:arg_type               ()
		:action                 (ChoiceThree)
		)
		(
		:from                   (window1 setting1 "First")
		:when                   (Notify )
		:to                     (window1 setting1 "First")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ChoiceOne)
		)
	)
)
(
	:type                   :button
	:name                   button1
	:owner                  controls1
	:help                   "This is the help text for button 1"
	:x                      125
	:y                      72
	:width                  114
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       "Cornflower Blue"
	:label                  "This is a button"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         ButtonProc
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (window1 button1)
		:when                   (Notify )
		:to                     (window1 button1)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (ButtonProc)
		)
	)
)
(
	:type                   :button
	:name                   MenuButton
	:owner                  controls1
	:help                   "This button has a menu associated with it."
	:x                      536
	:y                      72
	:width                  106
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       "Aquamarine"
	:label                  "MenuButton"
	:label-type             :string
	:initial-state          :active
	:menu                   ButtonMenu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :popup-window
	:name                   popup1
	:owner                  window1
	:width                  448
	:height                 276
	:background-color       ""
	:foreground-color       ""
	:label                  "Display Text File Contents"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :text-pane
	:name                   textpane1
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      0
	:width                  448
	:height                 196
	:background-color       "Coral"
	:foreground-color       "Blue"
	:initial-state          :visible
	:show-border            nil
	:read-only              t
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 textpane1)
		:when                   (AnyEvent )
		:to                     (popup1 textpane1)
		:function_type          :user_defined
		:arg_type               (:string)
		:action                 (LoadTextFile "ATextFile")
		)
	)
)
(
	:type                   :control-area
	:name                   controls2
	:owner                  popup1
	:help                   ""
	:x                      0
	:y                      196
	:width                  448
	:height                 80
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   DoneButton
	:owner                  controls2
	:help                   ""
	:x                      200
	:y                      32
	:width                  49
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       "Brown"
	:label                  "Done"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (popup1 DoneButton)
		:when                   (Notify )
		:to                     (popup1)
		:function_type          :user_defined
		:arg_type               ()
		:action                 (Hide)
		)
	)
)
)
