;GIL-3
; @(#)gal.G	1.3 92/02/19 Copyright 1992 Sun Microsystems
(
(
	:type                   :popup-window
	:name                   galwin
	:owner                  nil
	:width                  270
	:height                 291
	:background-color       ""
	:foreground-color       ""
	:label                  "Devguide: Align"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            nil
	:resizable              nil
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls
	:owner                  galwin
	:help                   ""
	:x                      0
	:y                      0
	:width                  270
	:height                 291
	:background-color       ""
	:foreground-color       ""
	:initial-state          :active
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   horizontal
	:owner                  controls
	:help                   "Horizontal Setting:

Selects horizontal alignment for selected elements.

As Is	- Do not change horizontal position
Tops	- Align top edges of all elements
Centers	- Align horizontal centers of all elements
Bottoms	- Align bottom edges of all elements

"
	:x                      10
	:y                      10
	:width                  208
	:height                 42
	:value-x                92
	:value-y                10
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     nil
	:label                  "Horizontal:"
	:label-type             :string
	:notify-handler         gal_horizontal
	:event-handler          nil
	:choices                ("glyphs/align_top.pr" "glyphs/align_hcenter.pr" "glyphs/align_bottom.pr" )
	:choice-label-types     (:glyph :glyph :glyph )
	:choice-colors          ("" "" "" )
	:initial-selections     (nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (galwin horizontal)
		:when                   (Notify )
		:to                     (galwin horizontal)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gal_horizontal)
		)
	)
)
(
	:type                   :setting
	:name                   vertical
	:owner                  controls
	:help                   "Vertical Setting:

Selects vertical alignment for selected elements.

As Is	- Do not change vertical position
Labels	- Align value portions of all elements
Lefts	- Align left edges of all elements
Centers	- Align vertical centers of all elements
Rights	- Align right edges of all elements

"
	:x                      28
	:y                      58
	:width                  232
	:height                 42
	:value-x                92
	:value-y                58
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     nil
	:label                  "Vertical:"
	:label-type             :string
	:notify-handler         gal_vertical
	:event-handler          nil
	:choices                ("glyphs/align_labels.pr" "glyphs/align_left.pr" "glyphs/align_vcenter.pr" "glyphs/align_right.pr" )
	:choice-label-types     (:glyph :glyph :glyph :glyph )
	:choice-colors          ("" "" "" "" )
	:initial-selections     (nil nil nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (galwin vertical)
		:when                   (Notify )
		:to                     (galwin vertical)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gal_vertical)
		)
	)
)
(
	:type                   :setting
	:name                   hdistribute
	:owner                  controls
	:help                   "Distribute Horizontal:

Distribute space evenly between selected elements.
The amount of space (in pixels) is specified
in the numeric text field.

"
	:x                      92
	:y                      106
	:width                  42
	:height                 42
	:value-x                92
	:value-y                106
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :nonexclusive
	:selection-required     nil
	:label                  ""
	:label-type             :string
	:notify-handler         gal_hdistribute
	:event-handler          nil
	:choices                ("glyphs/distribute_horizontal.pr" )
	:choice-label-types     (:glyph )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (galwin hdistribute)
		:when                   (Notify )
		:to                     (galwin hdistribute)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gal_hdistribute)
		)
	)
)
(
	:type                   :text-field
	:name                   hspacing
	:owner                  controls
	:help                   "Distribute Horizontal:

Distribute space evenly between selected elements.
The amount of space (in pixels) is specified
in the numeric text field.

"
	:x                      142
	:y                      120
	:width                  71
	:height                 15
	:value-x                142
	:value-y                120
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              32767
	:min-value              0
	:initial-value          0
	:initial-state          :inactive
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   hpixel
	:owner                  controls
	:help                   "Distribute Horizontal:

Distribute space evenly between selected elements.
The amount of space (in pixels) is specified
in the numeric text field.

"
	:x                      219
	:y                      121
	:width                  36
	:height                 13
	:foreground-color       ""
	:label                  "pixels"
	:label-type             :string
	:label-bold             nil
	:initial-state          :inactive
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group1
	:x                      142
	:y                      120
	:group-type             :row
	:members                (hspacing hpixel )
	:rows                   1
	:row-alignment          :horizontal-centers
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     6
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   distribute
	:owner                  controls
	:help                   "Distribute:

Distribute space evenly among selected elements.
"
	:x                      11
	:y                      121
	:width                  73
	:height                 13
	:foreground-color       ""
	:label                  "Distribute:"
	:label-type             :string
	:label-bold             t
	:initial-state          :active
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group3
	:x                      11
	:y                      106
	:group-type             :row
	:members                (distribute hdistribute group1 )
	:rows                   1
	:row-alignment          :horizontal-centers
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     8
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   vdistribute
	:owner                  controls
	:help                   "Distribute Vertical:

Distribute space evenly between selected elements.
The amount of space (in pixels) is specified
in the numeric text field.

"
	:x                      92
	:y                      154
	:width                  42
	:height                 42
	:value-x                92
	:value-y                154
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :nonexclusive
	:selection-required     nil
	:label                  ""
	:label-type             :string
	:notify-handler         gal_vdistribute
	:event-handler          nil
	:choices                ("glyphs/distribute_vertical.pr" )
	:choice-label-types     (:glyph )
	:choice-colors          ("" )
	:initial-selections     (nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (galwin vdistribute)
		:when                   (Notify )
		:to                     (galwin vdistribute)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gal_vdistribute)
		)
	)
)
(
	:type                   :text-field
	:name                   vspacing
	:owner                  controls
	:help                   "Distribute Vertical:

Distribute space evenly between selected elements.
The amount of space (in pixels) is specified
in the numeric text field.

"
	:x                      142
	:y                      168
	:width                  71
	:height                 15
	:value-x                142
	:value-y                168
	:value-length           4
	:stored-length          80
	:rows                   3
	:foreground-color       ""
	:text-type              :numeric
	:label                  ""
	:label-type             :string
	:layout-type            :horizontal
	:value-underlined       t
	:max-value              32767
	:min-value              0
	:initial-value          10
	:initial-state          :inactive
	:read-only              nil
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :message
	:name                   vpixel
	:owner                  controls
	:help                   "Distribute Vertical:

Distribute space evenly between selected elements.
The amount of space (in pixels) is specified
in the numeric text field.

"
	:x                      219
	:y                      169
	:width                  36
	:height                 13
	:foreground-color       ""
	:label                  "pixels"
	:label-type             :string
	:label-bold             nil
	:initial-state          :inactive
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group2
	:x                      142
	:y                      168
	:group-type             :row
	:members                (vspacing vpixel )
	:rows                   1
	:row-alignment          :horizontal-centers
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     6
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group4
	:x                      92
	:y                      154
	:group-type             :row
	:members                (vdistribute group2 )
	:rows                   1
	:row-alignment          :horizontal-centers
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     8
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   center
	:owner                  controls
	:help                   "Center Setting:

The Center setting offers two choices that 
determine the way the selected elements will
be centered after they are aligned with any
of the selected options.

The first option centers all selected elements
as a group horizontally inside their parent.

The second option centers all selected elements
as a group vertically inside their parent.

Selecting both options will place the selected
elements in the center both horizontally 
and vertically.
"
	:x                      36
	:y                      202
	:width                  151
	:height                 42
	:value-x                92
	:value-y                202
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :nonexclusive
	:selection-required     t
	:label                  "Center:"
	:label-type             :string
	:notify-handler         nil
	:event-handler          nil
	:choices                ("glyphs/distribute_hcenter.pr" "glyphs/distribute_vcenter.pr" )
	:choice-label-types     (:glyph :glyph )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group5
	:x                      10
	:y                      10
	:group-type             :column
	:members                (horizontal vertical group3 group4 center )
	:rows                   0
	:row-alignment          :horizontal-centers
	:columns                1
	:column-alignment       :labels
	:horizontal-spacing     10
	:vertical-spacing       6
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   apply
	:owner                  controls
	:help                   "The Apply Button:

The Apply button will apply the selected
alignment options to all currently selected
elements in your interface.  Click SELECT
on it to perform the alignment."
	:x                      111
	:y                      264
	:width                  49
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Align"
	:label-type             :string
	:initial-state          :active
	:menu                   nil
	:notify-handler         gal_apply
	:event-handler          nil
	:user-data              ()
	:actions                (
		(
		:from                   (galwin apply)
		:when                   (Notify )
		:to                     (galwin apply)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (gal_apply)
		)
	)
)
(
	:type                   :group
	:name                   group6
	:x                      10
	:y                      10
	:group-type             :column
	:members                (group5 apply )
	:rows                   0
	:row-alignment          :horizontal-centers
	:columns                1
	:column-alignment       :vertical-centers
	:horizontal-spacing     10
	:vertical-spacing       20
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
)
