;GIL-3
; @(#)gob.G	1.3 92/02/19 Copyright 1992 Sun Microsystems
(
(
	:type                   :menu
	:name                   view_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Parent" "Children" "Vertical" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (nil nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (view_parent_handler view_children_handler view_vertical_handler )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (view_menu "Parent")
		:when                   (Notify )
		:to                     (view_menu "Parent")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (view_parent_handler)
		)
		(
		:from                   (view_menu "Children")
		:when                   (Notify )
		:to                     (view_menu "Children")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (view_children_handler)
		)
		(
		:from                   (view_menu "Vertical")
		:when                   (Notify )
		:to                     (view_menu "Vertical")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (view_vertical_handler)
		)
	)
)
(
	:type                   :menu
	:name                   edit_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Undo" "Cut" "Copy" "Paste" "Delete" )
	:menu-item-label-types  (:string :string :string :string :string )
	:menu-item-states       (:active :active :active :active :active )
	:menu-item-defaults     (nil nil nil nil nil )
	:initial-selections     (nil nil nil nil nil )
	:menu-item-handlers     (g_edit_undo g_edit_cut g_edit_copy g_edit_paste g_edit_delete )
	:menu-item-menus        (nil nil nil nil nil )
	:menu-item-colors       ("" "" "" "" "" )
	:pinnable               t
	:user-data              ()
	:actions                (
		(
		:from                   (edit_menu "Undo")
		:when                   (Notify )
		:to                     (edit_menu "Undo")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (g_edit_undo)
		)
		(
		:from                   (edit_menu "Cut")
		:when                   (Notify )
		:to                     (edit_menu "Cut")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (g_edit_cut)
		)
		(
		:from                   (edit_menu "Copy")
		:when                   (Notify )
		:to                     (edit_menu "Copy")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (g_edit_copy)
		)
		(
		:from                   (edit_menu "Paste")
		:when                   (Notify )
		:to                     (edit_menu "Paste")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (g_edit_paste)
		)
		(
		:from                   (edit_menu "Delete")
		:when                   (Notify )
		:to                     (edit_menu "Delete")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (g_edit_delete)
		)
	)
)
(
	:type                   :menu
	:name                   file_menu
	:help                   ""
	:columns                1
	:menu-type              :command
	:menu-handler           nil
	:menu-title             ""
	:menu-item-labels       ("Save" "Save As..." "Unload" )
	:menu-item-label-types  (:string :string :string )
	:menu-item-states       (:active :active :active )
	:menu-item-defaults     (nil nil nil )
	:initial-selections     (nil nil nil )
	:menu-item-handlers     (file_save_handler file_save_as_handler file_close_handler )
	:menu-item-menus        (nil nil nil )
	:menu-item-colors       ("" "" "" )
	:pinnable               nil
	:user-data              ()
	:actions                (
		(
		:from                   (file_menu "Save")
		:when                   (Notify )
		:to                     (file_menu "Save")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (file_save_handler)
		)
		(
		:from                   (file_menu "Save As...")
		:when                   (Notify )
		:to                     (file_menu "Save As...")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (file_save_as_handler)
		)
		(
		:from                   (file_menu "Unload")
		:when                   (Notify )
		:to                     (file_menu "Unload")
		:function_type          CallFunction
		:arg_type               ()
		:action                 (file_close_handler)
		)
	)
)
(
	:type                   :popup-window
	:name                   win
	:owner                  nil
	:width                  420
	:height                 275
	:background-color       ""
	:foreground-color       ""
	:label                  "Popup Window"
	:label-type             :string
	:initial-state          :invisible
	:show-footer            t
	:resizable              t
	:pinned                 nil
	:done-handler           nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :control-area
	:name                   controls
	:owner                  win
	:help                   ""
	:x                      0
	:y                      0
	:width                  420
	:height                 36
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:show-border            nil
	:menu                   nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :setting
	:name                   format
	:owner                  controls
	:help                   "Display mode setting:

The Display mode setting controls how the objects
are displayed in the window's main canvas.
Setting it to \"Tree\" displays the objects in 
a tree hierarchy.  Setting it to \"Icon\" displays 
the objects in icons."
	:x                      284
	:y                      8
	:width                  84
	:height                 23
	:value-x                284
	:value-y                8
	:rows                   1
	:columns                0
	:layout-type            :horizontal
	:foreground-color       ""
	:setting-type           :exclusive
	:selection-required     t
	:label                  ""
	:label-type             :string
	:notify-handler         format_handler
	:event-handler          nil
	:choices                ("Tree" "Icon" )
	:choice-label-types     (:string :string )
	:choice-colors          ("" "" )
	:initial-selections     (nil nil )
	:initial-state          :active
	:user-data              ()
	:actions                (
		(
		:from                   (win format)
		:when                   (Notify )
		:to                     (win format)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (format_handler)
		)
	)
)
(
	:type                   :button
	:name                   interface
	:owner                  controls
	:help                   "Interface menu button:

The Interface menu button contains items that
load, save and unload the interface.  Choose
the MENU mouse button to bring up the menu."
	:x                      10
	:y                      10
	:width                  86
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Interface"
	:label-type             :string
	:initial-state          :active
	:menu                   file_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   view
	:owner                  controls
	:help                   "View menu button:

The View menu button contains items that control
how the objects are displayed in the window's
main canvas.  Choose the MENU mouse button to
bring up the menu."
	:x                      106
	:y                      10
	:width                  62
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "View"
	:label-type             :string
	:initial-state          :active
	:menu                   view_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :button
	:name                   edit
	:owner                  controls
	:help                   "Edit menu button:

The Edit menu button contains items that cut,
copy and paste the objects displayed in the
window's main canvas.  Choose the MENU mouse
button to bring up the menu."
	:x                      178
	:y                      10
	:width                  56
	:height                 19
	:constant-width         nil
	:button-type            :normal
	:foreground-color       ""
	:label                  "Edit"
	:label-type             :string
	:initial-state          :active
	:menu                   edit_menu
	:notify-handler         nil
	:event-handler          nil
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group1
	:x                      10
	:y                      10
	:group-type             :row
	:members                (interface view edit )
	:rows                   1
	:row-alignment          :top-edges
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     10
	:vertical-spacing       10
	:anchor-object          nil
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      0
	:vertical-offset        0
	:user-data              ()
	:actions                ()
)
(
	:type                   :group
	:name                   group2
	:x                      10
	:y                      8
	:group-type             :row
	:members                (group1 format )
	:rows                   1
	:row-alignment          :horizontal-centers
	:columns                0
	:column-alignment       :left-edges
	:horizontal-spacing     50
	:vertical-spacing       10
	:anchor-object          controls
	:anchor-point           :north-west
	:reference-point        :north-west
	:horizontal-offset      10
	:vertical-offset        8
	:user-data              ()
	:actions                ()
)
(
	:type                   :canvas-pane
	:name                   canvas
	:owner                  win
	:help                   "Window's main canvas:

The window's main canvas displays the interface
objects in a hierarchical manner.  The objects
can be selected and edited by using the Edit 
menu.  Top level objects (windows and menus)
can be dragged and moved from one interface
browser to another.  The format of the display 
is controlled by the view menu button and the 
display mode setting."
	:x                      0
	:y                      36
	:width                  420
	:height                 239
	:background-color       ""
	:foreground-color       ""
	:initial-state          :visible
	:draggable              nil
	:droppable              nil
	:default-drop-site      nil
	:menu                   edit_menu
	:horizontal-scrollbar   t
	:scrollable-width       420
	:vertical-scrollbar     t
	:scrollable-height      239
	:repaint-proc           canvas_repaint_proc
	:event-handler          canvas_event_handler
	:drawing-model          :xview
	:user-data              ()
	:actions                (
		(
		:from                   (win canvas)
		:when                   (Repaint )
		:to                     (win canvas)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (canvas_repaint_proc)
		)
		(
		:from                   (win canvas)
		:when                   (AnyEvent )
		:to                     (win canvas)
		:function_type          CallFunction
		:arg_type               ()
		:action                 (canvas_event_handler)
		)
	)
)
)
